 /*******************************************************
 * 僔僗僥儉柤     暔昳僐傾
 * 僒僽僔僗僥儉柤 揹巕擖嶥丒奐嶥僔僗僥儉
 * HAS001.js
 * 寁嶼幃愝掕夋柺
 * @author  NEC
 * @version 1.0, 2002.10.08, 怴婯嶌惉
 *******************************************************/

//----------------------------------------------------------
// HTML撉崬傒帪偺弶婜張棟
//----------------------------------------------------------
function onStart()
{

  onLoad();

}// onStart

//----------------------------------------------------------
// 搊榐儃僞儞墴壓帪
//----------------------------------------------------------
function setInsertResult()
{
  // 憤崌寁嶼幃斣崋寘曄姺
  setPlaceChange();
  /* 憤崌昡壙寁嶼幃斣崋 */
  document.formRegist.sogohyokaShikiNo.value = document.formProject.sogohyokaShikiNo.value;

  /* 寁嶼幃 */
  document.formRegist.keisanShiki.value = document.formProject.keisanShiki.value;

  for( var i=1 ; i<=10 ; i++ )
  {
    document.formRegist["keisuValue"+i].value = document.formProject["keisuValue"+i].value;
  }

  /* 婎弨寁嶼幃俬俢 */
  document.formRegist.sogohyokaShikiId.value = document.formProject.sogohyokaShikiId.value;

  /* 憤崌昡壙寁嶼幃柤徧 */
  document.formRegist.sogohyokaShikiName.value = document.formProject.sogohyokaShikiName.value;

  dispatch(document.formRegist,'H5243HAS001');
}// setInsertResult

//----------------------------------------------------------
// 嶍彍儃僞儞墴壓帪
//----------------------------------------------------------
function setDeleteResult()
{
  // 憤崌寁嶼幃斣崋寘曄姺
  setPlaceChange();
  /* 憤崌昡壙寁嶼幃斣崋 */
  document.formRegist.sogohyokaShikiNo.value = document.formProject.sogohyokaShikiNo.value;

  /* 婎弨寁嶼幃俬俢 */
  document.formRegist.sogohyokaShikiId.value = document.formProject.sogohyokaShikiId.value;

  if( document.formRegist.sogohyokaShikiNo.value!="" )
  {
    dispatch( document.formRegist,'H5244HAS001');
  }
  else
  {
    alert( "嶍彍偡傞寁嶼幃傪専嶕偟偰壓偝偄丅" );
  }
}// setDeleteResult

//----------------------------------------------------------
// 専嶕儃僞儞墴壓帪
//----------------------------------------------------------
function setFindResult()
{

  // 憤崌寁嶼幃斣崋寘曄姺
  setPlaceChange();
  /* 憤崌昡壙寁嶼幃斣崋 */
  document.formRegist.sogohyokaShikiNo.value = document.formProject.searchSogohyokaShikiNo.value;

  /* 婎弨寁嶼幃俬俢 */
  for (var i = 0; i < document.formProject.searchSogohyokaShikiId.options.length; i++) {
    if (document.formProject.searchSogohyokaShikiId.options[i].selected == true) {
      document.formRegist.sogohyokaShikiId.value = document.formProject.searchSogohyokaShikiId.options[i].value;
    }
  }
  
  dispatch( document.formRegist,'H5242HAS001' );

}// setFindResult

//----------------------------------------------------------
// 憤崌寁嶼幃斣崋寘曄姺
//----------------------------------------------------------
function setPlaceChange()
{
  // 憤崌昡壙寁嶼幃斣崋
  var ShikiNo=document.formProject.searchSogohyokaShikiNo.value;

  if( Number(ShikiNo.length)=='1' )
  {
    document.formProject.searchSogohyokaShikiNo.value = "0"+ShikiNo;
  }

}// setPlaceChange
